<mat-card>
  <mat-card-title class="mat-h1">Cartes VA</mat-card-title>
  <p *ngIf="!(member.cards?.length != 0)">Aucune carte associée.</p>
  <table mat-table [dataSource]="member.cards" *ngIf="member.cards?.length != 0">
    <ng-container matColumnDef="activated">
      <th mat-header-cell *matHeaderCellDef> Activée </th>
      <td mat-cell *matCellDef="let card">
        <span *ngIf="card.activated" class="oui">Oui</span>
        <span *ngIf="!card.activated" class="non">Non</span>
      </td>
    </ng-container>
    <ng-container matColumnDef="code">
      <th mat-header-cell *matHeaderCellDef> Code barre </th>
      <td mat-cell *matCellDef="let card"> {{card.code}} </td>
    </ng-container>
    <ng-container matColumnDef="actions">
      <th mat-header-cell *matHeaderCellDef> Actions </th>
      <td mat-cell *matCellDef="let card">
        <div class="buttons">
          <button mat-raised-button color="warn" *ngIf="card.activated" (click)="disableCard(card)">
            Désactiver
          </button>
          <button mat-raised-button color="primary" *ngIf="!card.activated" (click)="enableCard(card)">
            Activer
          </button>
          <button mat-raised-button color="warn" (click)="dissociateCard(card)">
            Dissocier
          </button>
        </div>
      </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="['activated', 'code', 'actions']"></tr>
    <tr mat-row *matRowDef="let row; columns: ['activated', 'code', 'actions'];"></tr>
  </table>
</mat-card>
<div *ngIf="errors">
  <app-erreur [erreur]="errors"></app-erreur>
</div>
